ApiManagementTenantsSso
POST
/v1/mgmt/sso/saml/metadata

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

tenantId?string
settings?object
redirectUrl?string
domains?array<string>
string
ssoId?string

Configure the SAML Metadata URL, using a valid management key.

This API endpoint will configure the SAML Metadata URL on a tenant utilizing a valid management key.

This API endpoint accepts idpMetadataURL which will be applied to the tenant under SSO Configuration section and will select the option to "Retrieve the connection details dynamically using a metadata URL"

This endpoint also accepts the attribute mapping you would like to be configured on the SAML settings.

This Metadata URL can can be obtained from the admin console of the identity provider. Configuring SAML via Metadata URL allows administrators to configure SAML without applying these setting manually via Configure SAML Settings

See also

  • See SSO Configuration for further details on managing SSO Configurations on a tenant.
curl -X POST "https://api.descope.com/v1/mgmt/sso/saml/metadata" \  -H "Content-Type: application/json" \  -d '{}'
Was this helpful?